## dist
Class Tools

    java.lang.Object
      dist.Tools

    public class Tools

extends Object

Common stuff that the demos rely on.

Author:
  Matthew Pocock

Constructor Summary
`Tools()`

Method Summary
`static org.biojava.bio.symbol.SymbolList` `createSymbolList(int length)` Creates a random DNA sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tools

    public Tools()

Method Detail

### createSymbolList

    public static org.biojava.bio.symbol.SymbolList createSymbolList(int length)
                                                              throws org.biojava.bio.symbol.IllegalSymbolException

  Creates a random DNA sequence.

  Parameters:
    `length` - the number of residues in the sequence
  Returns:
    the generated sequence
  Throws:
    `org.biojava.bio.symbol.IllegalSymbolException`